package org.springblade.flow.engine.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;

@Getter
public enum  OperateType {

    add(0, "添加"),
    edit(1,"编辑"),
    remove(2,"删除"),
    detail(3,"详情"),
    download(4, "导出"),
    batchUpload(5,"批量导入"),
    batchRemove(6,"批量删除");


    @EnumValue
    private final int value;
    private final String message;
    /**
     * @param value
     * @param message
     */
    private OperateType(int value, String message) {
        this.value = value;
        this.message = message;
    }

}
